const express = require('express');
const products = require('./app/products');
const cors = require('cors');
const mysql = require('mysql');
const config = require('./app/config');
const db = require('./app/db/mysql');

const app = express();
const port = 8000;

const connection = mysql.createConnection(config.db);

const corsOptions = {
    origin: 'http://localhost:3000',
    optionsSuccessStatus: 200 // some legacy browsers (IE11, various SmartTVs) choke on 204
};

app.use(cors(corsOptions));
app.use(express.json());
app.use(express.static('public'));


connection.connect(err => {
    if(err){
        console.error(err);
        throw err;
    }
    app.use('/products', products(db(connection)));

    app.listen(port, () => {
        console.log(`Server started on port ${port}`)
    });
    console.log('mysql connected!');
});

